Bug 505969 - anaconda Fails to Mount Upgrade System with tempfs /tmp and /var/tmp
anaconda Fails to Mount Upgrade System with tempfs /tmp and /var/tmp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:13 EDT by Garry T. Williams
Modified: 2009-08-14 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 12:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2009-06-14 21:13:34 EDT
Description of problem:
I mount my /tmp and /var/tmp file systems with tempfs using these lines in /etc/fstab:

    tmpfs /tmp tmpfs defaults 0 0
    tmpfs /var/tmp tmpfs defaults 0 0

Anaconda fails with an "already in tree" uncaught exception when attempting to upgrade from F10 to F11 using the F11 DVD.
Comment 1 Andy Lindeberg 2009-06-15 14:14:52 EDT
Please attach /tmp/anacdump.txt (if it exists) and /tmp/anaconda.log, as well as listing the steps to reproduce this error.
Comment 2 Garry T. Williams 2009-06-16 22:10:07 EDT
I remembered incorrectly.

The failure is while attempting to mount the installed system using the rescue boot option of the F11 DVD.  I did this in an attempt to fix a can't boot problem after upgrading to F11 on a RAID1 /boot partition.  I had to grub-install /dev/md0 to recover the upgraded system.  (See Bug #505966 - https://bugzilla.redhat.com/show_bug.cgi?id=505966 .)

This failure leaves the F11 DVD system in a state that I cannot log into the machine.  The stack trace is left on the monitor, though.  That gave me the clue to comment out my two tempfs lines in /etc/fstab .

I guess that I unfairly implicated anaconda.

I don't know what component would be appropriate, though.  The only documentation I can think of providing is a photograph of the console monitor at the point of failure.  It should be easy to reproduce, though.  Just add at least one of the lines mentioned in the description above and try to mount the installed system with the rescue option of the F11 DVD.

Sorry for the confusion.
Comment 3 David Lehman 2009-08-14 12:23:51 EDT
Should be fixed in anaconda-12.4-1. Please reopen if you see the same behavior in that version or later.

Note You need to log in before you can comment on or make changes to this bug.